#!/bin/sh
#Decode query string
IFS="&"
for QUERY_PARTS in $QUERY_STRING; do
    QKEY="`echo $QUERY_PARTS | cut -d '=' -f 1`"
    QVAL="`echo $QUERY_PARTS | cut -d '=' -f 2`"
    eval "`httpd -d "$QKEY"`=\"`httpd -d "$QVAL"`\""
done

# in case of testing on host
#env
FSROOT=`expr $SCRIPT_FILENAME : '\(.*\)/www/cgi-bin/'`
export FSROOT

#Load config
if [ -e /tmp/config ]; then
    . /tmp/config
else
    cp $FSROOT/etc/defconfig /tmp/config
    . /tmp/config
fi

if [ -e "pg-$page.sh" ]; then
    inc="./pg-$page.sh"
else
    inc="./pg-default.sh"
    page="default"
fi

#Capitalise first letter
pagecap=`echo $page | cut -b 1 | sed 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'``echo $page | cut -b 2-`

echo "Content-type: text/html"
echo
cat ../start.html | sed "s/%title%/$pagecap/g"
echo "<!-- Content goes here -->"
. $inc
echo "<!-- End of content -->"
cat ../end.html
